Fedora-Linux.nl Forumindex Fedora-Linux.nl
Het forum van Fedora-Linux.nl.
Deze site wordt gehost door Exonet Internet Services
 
 FAQFAQ   ZoekenZoeken   GebruikerslijstGebruikerslijst   GebruikersgroepenGebruikersgroepen   RegistrerenRegistreren 
 ProfielProfiel   Log in om je privéberichten te bekijkenLog in om je privéberichten te bekijken   InloggenInloggen 

'make' fout

 
Nieuw onderwerp plaatsen   Reageren    Fedora-Linux.nl Forumindex -> Installatie
Vorige onderwerp :: Volgende onderwerp  
Auteur Bericht
straatman



Geregistreerd op: 12 Jul 2005
Berichten: 17

BerichtGeplaatst: Wo Jul 20, 2005 1:56 pm    Onderwerp: 'make' fout Reageren met citaat

Bij het installeren van emacs-21.4a.tar.gz is er bij het uitvoeren van 'make'een fout opgetreden:

Make [1] :***[emacs]segmentatiefout
make [1]:***bestand emacs wordt verwijderd
[src] fout 2

Na het commando ./configure viel me op dat er aan het eind van het proces stond 'voor i686'. Ook waren er geen paden naar een aantal bibliotheken gevonden (b.v. naar jpeg, tiff etc). Kan het hiermee te maken hebben?
Terug naar boven
Profiel bekijken Stuur privébericht
Thijs
Administrator


Geregistreerd op: 10 Feb 2005
Berichten: 1173
Woonplaats: Hengelo G.

BerichtGeplaatst: Wo Jul 20, 2005 2:10 pm    Onderwerp: Reageren met citaat

Waarschijnlijk heeft het iets te maken met GCC4 is Fedora Core 4. Je kunt emacs wel installeren met yum:

yum install emacs
Terug naar boven
Profiel bekijken Stuur privébericht E-mail versturen Website bekijken MSN Messenger
straatman



Geregistreerd op: 12 Jul 2005
Berichten: 17

BerichtGeplaatst: Wo Jul 20, 2005 5:41 pm    Onderwerp: re Reageren met citaat

Dat ik had even moeten vermelden. Ik wilde eens een keer de moeilijke weg bewandelen, ipv met yum te werken. Kan toch geen kwaad te leren handmatig te installeren.!? Ik ben momenteel op internet aan 't zoeken naar oplossingen voor het probleem dat ik ben tegengekomen. Is het verstandig een andere versie van gcc te installeren? Ik las ook ergens dat ccp, ncursus en libstdc++devel geinstalleerd moeten zijn, maar tijdens 'configure' werd er niet naar gezocht.
Terug naar boven
Profiel bekijken Stuur privébericht
Thijs
Administrator


Geregistreerd op: 10 Feb 2005
Berichten: 1173
Woonplaats: Hengelo G.

BerichtGeplaatst: Wo Jul 20, 2005 6:12 pm    Onderwerp: Reageren met citaat

Zelf dingen compileren is zeker leerzaam Smile
Het is niet verstandig als je een andere GCC-versie installeert, waarschijnlijk help je daarmee je hele systeem om zeep. Je kunt wel een eerdere versie van GCC emuleren.

Even zoeken hoe ook al weer... voilá: http://fedoranews.org/mediawiki/index.php/Caveats_and_Known_Bugs_on_FC4

Om dingen goed te kunnen compileren moet je de ontwikkelingshulpmiddelen even installeren. Dat kan via 'Werkplek --> Systeeminstellingen --> Software toevoegen/verwijderen'. Als je geen installatiecd's hebt, of geen zin hebt om ze op te zoeken kan je de ontwikkelingshulpmiddelen ook installeren met het dit commando:
yum groupinstall "Development Tools"

Daarna lukt het compileren waarschijnlijk wel.

- Thijs
Terug naar boven
Profiel bekijken Stuur privébericht E-mail versturen Website bekijken MSN Messenger
straatman



Geregistreerd op: 12 Jul 2005
Berichten: 17

BerichtGeplaatst: Za Jul 23, 2005 6:18 pm    Onderwerp: re: make fout. Reageren met citaat

Ik heb de ontwikkelsoftware geinstalleerd, maar het 'make' commando blijft dezelfde fout geven. Ik heb de link bekeken m.b.t. gcc versie 4, en de raad die daar gegeven wordt opgevolgd, maar weer dezelfde fout. Ik heb nu gcc met yum'verwijderd om een andere versie van gcc te installeren. Kan ik daarvoor een rpm gebruiken, en worden dan ook de eventuele dependencies mee-geinstalleerd? En is er op internet een plek waar je verschillende programma's met hun depencies kunt bekijken?
Terug naar boven
Profiel bekijken Stuur privébericht
Thijs
Administrator


Geregistreerd op: 10 Feb 2005
Berichten: 1173
Woonplaats: Hengelo G.

BerichtGeplaatst: Za Jul 23, 2005 6:48 pm    Onderwerp: Reageren met citaat

Voordat je onderstaande dingen gaat uitvoeren, bedenk even dat het misschien wel aan het emacs-pakket ligt Wink

Een GCC3.x-pakket voor Fedora Core 4 is er volgens mij niet, maar je kunt die van FC3 proberen: ftp://alviss.et.tudelft.nl/pub/fedora/core/3/i386/os/Fedora/RPMS/

Een lijst met afhankelijkheden is te vinden in het .spec-bestand van GCC. Het spec-bestand kan ik je niet geven, dat kan je krijgen door eerst de source van GCC (ook wel ergens op ftp://alviss.et.tudelft.nl/pub/fedora) te installeren. Daarna staat de spec in /usr/src/redhat/SPECS
Terug naar boven
Profiel bekijken Stuur privébericht E-mail versturen Website bekijken MSN Messenger
sitetree



Geregistreerd op: 13 Feb 2005
Berichten: 26
Woonplaats: Nijmegen

BerichtGeplaatst: Ma Jul 25, 2005 6:24 pm    Onderwerp: Reageren met citaat

Citaat:
Na het commando ./configure viel me op dat er aan het eind van het proces stond 'voor i686'. Ook waren er geen paden naar een aantal bibliotheken gevonden (b.v. naar jpeg, tiff etc). Kan het hiermee te maken hebben?


jpeg en tiff zijn dan inderdaad nodig.

Hier staat nog meer info: http://jasonrumney.net/roller/page/jason/Weblog?catname=%2FEmacs
Terug naar boven
Profiel bekijken Stuur privébericht E-mail versturen Website bekijken
Berichten van afgelopen:   
Nieuw onderwerp plaatsen   Reageren    Fedora-Linux.nl Forumindex -> Installatie Tijden zijn in GMT + 1 uur
Pagina 1 van 1

 
Ga naar:  
Je mag geen nieuwe onderwerpen plaatsen in dit subforum
Je mag geen reacties plaatsen in dit subforum
Je mag je berichten niet bewerken in dit subforum
Je mag je berichten niet verwijderen in dit subforum
Je mag niet stemmen in polls in dit subforum


Powered by phpBB © 2001, 2005 phpBB Group
Vertaling door Lennart Goosens.